Flood fill

- « imageellipse

- imagefilledarc »

- PHP Manual
- GD and Image Functions
- Flood fill

# imagefill

(PHP 4, PHP 5, PHP 7, PHP 8)

imagefill — Flood fill

### Description

imagefill(
GdImage `$image`,
int `$x`,
int `$y`,
int `$color`
): bool

Performs a flood fill starting at the given coordinate (top left is 0, 0) with the given `color` in the `image`.

### Parameters

`image`

  A GdImage object, returned by one of the image creation functions, such as imagecreatetruecolor().

`x`

  x-coordinate of start point.

`y`

  y-coordinate of start point.

`color`

  The fill color. A color identifier created with imagecolorallocate().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `image` expects a GdImage instance now; previously, a valid `gd` resource was expected.

### Examples

Example #1 imagefill() example

    <?php$im = imagecreatetruecolor(100, 100);// sets background to red$red = imagecolorallocate($im, 255, 0, 0);imagefill($im, 0, 0, $red);header('Content-type: image/png');imagepng($im);imagedestroy($im);?>

The above example will output something similar to:

### See Also

- imagecolorallocate() - Allocate a color for an image